var iOpcionEPG  = 0;
var bMoviendoCanal  = false;
var iMaxOpcionEPG  = 0;
var iPaginaEPG  = 0;
var iMaxPaginaEPG  = 0;
var NUM_EVENTOS_HOJA = 9;

function Pag_EPG_Show() {
	var objCanal = ObtenerCanal(iNumCanal);
	Page_Show("Pag_EPG",
		 '<table width="720px" cellpadding="0" cellspacing="0" style="position: absolute; table-layout: fixed; background-image: url(fondo_datos.png);">'
		+'<tr height="88px">'
		+	'<td width="75px"/>'
		+	'<td width="220px" valign="bottom" style="color:#ffffff; font-size:18pt;">EPGar canales</td>'
		+	'<td width="280px" valign="bottom" align="right" class="font15"> '+ ObtenerHoraActual() + '</td>'
		+	'<td width="140px"/>'
		+'</tr>'
		+'<tr height="17px"/>'
		+'<tr height="34px"><td/><td class="font16">&nbsp;<u>Eventos</u></td><td class="font16"><u>' + objCanal.name + '</u></td></tr>'
		+'<tr height="315px">'
		+	'<td/>'
		+	'<td valign="top" colspan="3">'
		+	'<table id="Frm_EPG" width="580px" cellpadding="0" cellspacing="0" style="table-layout: fixed">'
		+		'<tr height="34px" id="Pag_EPG_Opcion1" style="background-repeat: no-repeat; background-image: url(cursor_explor.png)">'
		+                                                                                    '<td id="Pag_EPG_Horas1" align="right" width="80px" class="font16"></td><td id="Pag_EPG_Evento1" width="430px" class="font16"></td><td width="50px"/></tr>'
		+		'<tr height="34px" id="Pag_EPG_Opcion2" style="background-repeat: no-repeat;"><td id="Pag_EPG_Horas2" align="right" width="80px" class="font16"></td><td id="Pag_EPG_Evento2" width="430px" class="font16"></td><td width="50px"/></tr>'
		+		'<tr height="34px" id="Pag_EPG_Opcion3" style="background-repeat: no-repeat;"><td id="Pag_EPG_Horas3" align="right" width="80px" class="font16"></td><td id="Pag_EPG_Evento3" width="430px" class="font16"></td><td width="50px"/></tr>'
		+		'<tr height="34px" id="Pag_EPG_Opcion4" style="background-repeat: no-repeat;"><td id="Pag_EPG_Horas4" align="right" width="80px" class="font16"></td><td id="Pag_EPG_Evento4" width="430px" class="font16"></td><td width="50px"/></tr>'
		+		'<tr height="34px" id="Pag_EPG_Opcion5" style="background-repeat: no-repeat;"><td id="Pag_EPG_Horas5" align="right" width="80px" class="font16"></td><td id="Pag_EPG_Evento5" width="430px" class="font16"></td><td width="50px"/></tr>'
		+		'<tr height="34px" id="Pag_EPG_Opcion6" style="background-repeat: no-repeat;"><td id="Pag_EPG_Horas6" align="right" width="80px" class="font16"></td><td id="Pag_EPG_Evento6" width="430px" class="font16"></td><td width="50px"/></tr>'
		+		'<tr height="34px" id="Pag_EPG_Opcion7" style="background-repeat: no-repeat;"><td id="Pag_EPG_Horas7" align="right" width="80px" class="font16"></td><td id="Pag_EPG_Evento7" width="430px" class="font16"></td><td width="50px"/></tr>'
		+		'<tr height="34px" id="Pag_EPG_Opcion8" style="background-repeat: no-repeat;"><td id="Pag_EPG_Horas8" align="right" width="80px" class="font16"></td><td id="Pag_EPG_Evento8" width="430px" class="font16"></td><td width="50px"/></tr>'
		+		'<tr height="34px" id="Pag_EPG_Opcion9" style="background-repeat: no-repeat;"><td id="Pag_EPG_Horas9" align="right" width="80px" class="font16"></td><td id="Pag_EPG_Evento9" width="430px" class="font16"></td><td width="50px"/></tr>'
		+	'</table>'
		+	'</td>'
		+'</tr>'
		+'<tr height="50px" valign="top"><td/><td class="font16" style="background-image: url(boton_rojo.png); background-repeat: no-repeat;"/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Guardar</td><td class="font16" style="background-image: url(boton_azul.png); background-repeat: no-repeat;"/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Cancelar</td></tr>'
		+'<tr height="50px"/>'
		+'</table>');
	iOpcionEPG = 1;
	iPaginaEPG = 1;
	bMoviendoCanal = false;
	iMaxPaginaEPG = objCanal.events.length - (objCanal.events.length % NUM_EVENTOS_HOJA) + 1;
	RefreshCargarEPG();
}

function Pag_EPG_KeyDown(keyChar) {
	var iTemp;
	var iPos1;
	var iPos2;
	try {
		switch (keyChar) {
		case KEY_UP:
			ActualizarEPG(iOpcionEPG - 1);
			return 0;
		case KEY_DOWN:
			ActualizarEPG(iOpcionEPG + 1);
			return 0;
		case KEY_LEFT:
		case KEY_BACK:
		case KEY_BLUE:
			Pag_Canal_Show(iNumCanal, false);
			return 0;
		case KEY_RED:
			Pag_Canal_Show(iNumCanal, false);
			return 0;
		}
	} catch(ex) {
		alert("Pag_EPG_KeyDown: " + ex);
	}
	return 1;
}

function CargarEPG(iPag) {
	try {
		iPaginaEPG  = iPag;
		if (iPaginaEPG < 1) iPaginaEPG  = iMaxPaginaEPG;
		if (iPaginaEPG > iMaxPaginaEPG) iPaginaEPG  = 1;
		iMaxOpcionEPG  = 0;
		for (var iNumLinea  = 1; iNumLinea <= NUM_EVENTOS_HOJA; iNumLinea++) {
			document.getElementById("Pag_EPG_Opcion" + iNumLinea).style.backgroundImage = "none";
			try {
				if ((iNumLinea + iPaginaEPG - 1) <= objTuner.services.length) {
					iMaxOpcionEPG  = iNumLinea;
				}
			} catch(ex) {
				//Ignorar errores de que el servicio no existe y poner la fila en blanco
			}
		}
		
		if (iMaxOpcionEPG > 0) {
			if (iOpcionEPG == 0) {
				ActualizarEPG(iMaxOpcionEPG);
			} else {
				iOpcionEPG = 0;
				ActualizarEPG(1);
			}
		}
		setTimeout("RefreshCargarEPG()",1);
	} catch(ex) {
		alert("CargarEPG: " + ex);
	}
}
		
function RefreshCargarEPG() {
	var objCanal;
	var objEvento;
	try {
		objCanal = ObtenerCanal(iNumCanal)
		alert(objCanal.events.length);
		alert(objCanal.events.item(0).name);
		alert(objCanal.events.item(1).name);
		alert(objCanal.events.item(2).name);
		for (var iNumLinea  = 1; iNumLinea <= NUM_EVENTOS_HOJA; iNumLinea++) {
			if ((iNumLinea + iPaginaEPG - 1) <= objCanal.events.length) {
				try {
					objEvento = objCanal.events.item(iNumLinea + iPaginaEPG - 1);
					dInicio = new Date(objEvento.startTime * 1000);
					iHoras = dInicio.getHours();
					iMinutos = dInicio.getMinutes();
					var cHoraInicio = ((iHoras<10)?"0":"") + iHoras + ":" + ((iMinutos<10)?"0":"") + iMinutos;
					document.getElementById("Pag_EPG_Horas" + iNumLinea).innerHTML = cHoraInicio + "&nbsp;&nbsp;";
					document.getElementById("Pag_EPG_Evento" + iNumLinea).innerHTML = objEvento.name;
				} catch(ex) {
					document.getElementById("Pag_EPG_Horas" + iNumLinea).innerHTML = "";
					document.getElementById("Pag_EPG_Evento" + iNumLinea).innerHTML = "";
				}
				iMaxOpcionEPG  = iNumLinea;
			} else {
				//Ignorar errores de que el servicio no existe y poner la fila en blanco
				document.getElementById("Pag_EPG_Horas" + iNumLinea).innerHTML = "";
				document.getElementById("Pag_EPG_Evento" + iNumLinea).innerHTML = "";
			}
		}
	} catch(ex) {
		alert("RefreshCargarEPG: " + ex);
	}
}

function ActualizarEPG(iOpc) {
	try {
		if (iOpcionEPG > 0) {
			document.getElementById("Pag_EPG_Opcion" + iOpcionEPG).style.backgroundImage = "none";
		}
		if (iOpc < 1) {
			iOpcionEPG = iOpc;
			CargarEPG(iPaginaEPG - NUM_EVENTOS_HOJA);
		} else if (iOpc > iMaxOpcionEPG) {
			iOpcionEPG = iOpc;
			CargarEPG(iPaginaEPG + NUM_EVENTOS_HOJA);
		} else {
			iOpcionEPG = iOpc;
			document.getElementById("Pag_EPG_Opcion" + iOpcionEPG).style.backgroundImage = "url(cursor_explor.png)";
		}
	} catch(ex) {
		alert("ActualizarEPG: " + ex);
	}
}

function ObtenerCanal(iCan) {
	try {
		if (arrCanales.length < iCan) {
			return objTuner.services.item(iCan - 1);
		}
		return objTuner.services.item(arrCanales[iCan - 1]);
	} catch(ex) {
		alert("ObtenerCanal: " + ex);
	}
	return null;
}

